
CoCoALib - Design #1720

DivAlg in CoCoALib

21 Dec 2022 18:28 - Anna Maria Bigatti

Status: New Start date: 21 Dec 2022

Priority: Normal Due date:  

Assignee: Anna Maria Bigatti % Done: 20%

Category: Tidying Estimated time: 0.00 hour

Target version: CoCoALib-0.99880 Spent time: 0.00 hour

Description

We have

  std::vector<RingElem> TmpDivAlg(ConstRefRingElem f, const std::vector<RingElem>& v);

in SparsePolyOps_vector.

Decide the right interface and remove Tmp

Related issues:

Related to CoCoALib - Feature #914: New function: quorem for univariate polyn... New 16 Aug 2016

Related to CoCoALib - Design #1649: Add file SparsePolyOps-vector.C Closed 21 Jan 2022

History

#1 - 21 Dec 2022 18:28 - Anna Maria Bigatti

- Related to Feature #914: New function: quorem for univariate polynomials? added

#2 - 21 Dec 2022 18:28 - Anna Maria Bigatti

- Related to Design #1649: Add file SparsePolyOps-vector.C added

#3 - 21 Dec 2022 18:35 - Anna Maria Bigatti

- Category set to Tidying

- % Done changed from 0 to 20

#4 - 25 Mar 2024 17:55 - Anna Maria Bigatti

to be improved (see Nicolas Jagersma code using GPoly)

#5 - 25 Mar 2024 17:55 - Anna Maria Bigatti

- Assignee set to Anna Maria Bigatti

- Target version set to CoCoALib-0.99880
